Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class SamplingStatCalculator

    java.lang.Object
      org.apache.jmeter.visualizers.SamplingStatCalculator

Direct Known Subclasses:
  CachingStatCalculator

    public class SamplingStatCalculator

extends Object

Aggegate sample data container. Just instantiate a new instance of this class, and then call `addSample(SampleResult)` a few times, and pull the stats out with whatever methods you prefer.

Constructor Summary
`SamplingStatCalculator()`
`SamplingStatCalculator(String label)`

Method Summary
`Sample` | `addSample(SampleResult res)` Records a sample.
`void` | `clear()` Clear the counters (useful for differential stats)
`double` | `getAvgPageBytes()` calculates the average page size, which means divide the bytes by number of samples.
`double` | `getBytesPerSecond()` Throughput in bytes / second
`int` | `getCount()`
`Sample` | `getCurrentSample()`
`Map<Number,Number[]>` | `getDistribution()`
`long` | `getElapsed()` Get the elapsed time for the samples
`long` | `getErrorCount()`
`double` | `getErrorPercentage()` Returns the raw double value of the percentage of samples with errors that were recorded.
`double` | `getKBPerSecond()` Throughput in kilobytes / second
`String` | `getLabel()`
`Number` | `getMax()`
`double` | `getMaxThroughput()`
`double` | `getMean()`
`Number` | `getMeanAsNumber()`
`Number` | `getMedian()`
`Number` | `getMin()`
`Number` | `getPercentPoint(double percent)`
`Number` | `getPercentPoint(float percent)`
`double` | `getRate()` Returns the throughput associated to this sampler in requests per second.
`double` | `getStandardDeviation()`
`String` | `toString()` For debugging purposes, only.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SamplingStatCalculator

    public SamplingStatCalculator()

### SamplingStatCalculator

    public SamplingStatCalculator(String label)

Method Detail

### clear

    public void clear()

  Clear the counters (useful for differential stats)

### getCurrentSample

    public Sample getCurrentSample()

### getElapsed

    public long getElapsed()

  Get the elapsed time for the samples

  Returns:
    how long the samples took

### getRate

    public double getRate()

  Returns the throughput associated to this sampler in requests per second. May be slightly skewed because it takes the timestamps of the first and last samples as the total time passed, and the test may actually have started before that start time and ended after that end time.

### getBytesPerSecond

    public double getBytesPerSecond()

  Throughput in bytes / second

  Returns:
    throughput in bytes/second

### getKBPerSecond

    public double getKBPerSecond()

  Throughput in kilobytes / second

  Returns:
    Throughput in kilobytes / second

### getAvgPageBytes

    public double getAvgPageBytes()

  calculates the average page size, which means divide the bytes by number of samples.

  Returns:
    average page size in bytes

### getLabel

    public String getLabel()

### addSample

    public Sample addSample(SampleResult res)

  Records a sample.

### getErrorPercentage

    public double getErrorPercentage()

  Returns the raw double value of the percentage of samples with errors that were recorded. (Between 0.0 and 1.0)

  Returns:
    the raw double value of the percentage of samples with errors that were recorded.

### toString

    public String toString()

  For debugging purposes, only.

  Overrides:
    `toString` in class `Object`

### getErrorCount

    public long getErrorCount()

  Returns:
    errorCount

### getMaxThroughput

    public double getMaxThroughput()

  Returns:
    Returns the maxThroughput.

### getDistribution

    public Map<Number,Number[]> getDistribution()

### getPercentPoint

    public Number getPercentPoint(double percent)

### getCount

    public int getCount()

### getMax

    public Number getMax()

### getMean

    public double getMean()

### getMeanAsNumber

    public Number getMeanAsNumber()

### getMedian

    public Number getMedian()

### getMin

    public Number getMin()

### getPercentPoint

    public Number getPercentPoint(float percent)

### getStandardDeviation

    public double getStandardDeviation()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.